#
# spec file for package zebra (Version 0.92a)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake readline readline-devel ucdsnmp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone ucdsnmp unzip util-linux vim

Name:         zebra
Copyright:    GPL Version 2
Group:        Networking/Daemons
URL:          http://www.zebra.org
#Provides:
#Requires:     ucdsnmp
Summary:      free routing software (e.g. for BGP and OSPF)
Version:      0.92a
Release:      50
Source0:      %{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-BUILD

%description
GNU Zebra is free software that manages TCP/IP based routing protocols.
It supports BGP-4 protocol as described in RFC1771 (A Border Gateway
Protocol 4) as well as RIPv1, RIPv2 and OSPFv2.
Zebra is modular and has a process for each protocol.
Zebra is intended to be used as a Route Server and a Route Reflector.
Zebra is not a toolkit, it provides full routing power under a new
architecture.

Authors:
--------
    Kunihiro Ishiguro
    Toshiaki Takada

SuSE series: n

%prep
%setup
%patch0

%build
%{?suse_update_config:%{suse_update_config}}
autoheader
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--enable-vtysh --enable-broken-aliases --enable-snmp --enable-ipv6 \
	--with-libpam \
	--prefix=/usr --sysconfdir=/etc/zebra \
	--mandir=%{_mandir} --infodir=%{_infodir}
make

%install
rm -r doc/zebra.info
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/etc/init.d
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -g root -m 755 -o root rc.zebra $RPM_BUILD_ROOT/etc/init.d/zebra
install -g root -m 755 -o root rc.bgpd $RPM_BUILD_ROOT/etc/init.d/bgpd
install -g root -m 755 -o root rc.ospf6d $RPM_BUILD_ROOT/etc/init.d/ospf6d
install -g root -m 755 -o root rc.ospfd $RPM_BUILD_ROOT/etc/init.d/ospfd
install -g root -m 755 -o root rc.ripd $RPM_BUILD_ROOT/etc/init.d/ripd
install -g root -m 755 -o root rc.ripngd $RPM_BUILD_ROOT/etc/init.d/ripngd
ln -sf ../../etc/init.d/zebra $RPM_BUILD_ROOT/usr/sbin/rczebra
ln -sf ../../etc/init.d/bgpd $RPM_BUILD_ROOT/usr/sbin/rcbgpd
ln -sf ../../etc/init.d/ospf6d $RPM_BUILD_ROOT/usr/sbin/rcospf6d
ln -sf ../../etc/init.d/ospfd $RPM_BUILD_ROOT/usr/sbin/rcospfd
ln -sf ../../etc/init.d/ripngd $RPM_BUILD_ROOT/usr/sbin/rcripngd
ln -sf ../../etc/init.d/ripd $RPM_BUILD_ROOT/usr/sbin/rcripd
install -m 644 rc.config.d.zebra $RPM_BUILD_ROOT/var/adm/fillup-templates/zebra.rc.config

%post
sbin/insserv etc/init.d/zebra
sbin/insserv etc/init.d/ripd
sbin/insserv etc/init.d/ripngd
sbin/insserv etc/init.d/ospfd
sbin/insserv etc/init.d/ospf6d
sbin/insserv etc/init.d/bgpd
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/zebra.rc.config
  echo "Done."
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.postfix and"
  echo "update by hand."
fi

%postun
sbin/insserv

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%dir /etc/zebra
/etc/zebra/*
/var/adm/fillup-templates/*
/usr/sbin/*
/etc/init.d/*
/usr/bin/*
/usr/share/info/zebra.info*
/usr/share/man/man1/*
/usr/share/man/man8/*
%doc doc
%doc AUTHORS COPYING ChangeLog INSTALL README REPORTING-BUGS SERVICES TODO

%changelog -n zebra
* Mon Aug 27 2001 - dan@suse.cz
- update to 0.92a release
  * Fix community-list "^$" matching bug
  * -lsnmp check problem fixed
- build root added, spec file clean-up
- installing info pages fixed
* Tue Aug 14 2001 - ro@suse.de
- up to 0.91a and fixed for current autoconf
* Mon May 14 2001 - lmuelle@suse.de
- fix typo in ripd startscript
- bzip2 sources
* Tue May 08 2001 - strbac@suse.de
- remove init scripts and symlinks for vtysh (it's not a daemon)
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Wed Jan 17 2001 - bk@suse.de
- updated to 0.90a, fixes serious bug of bgpd when receiving routes
- fixed a bug in configure(.in) to detect *-suse-linux as linux
- replaced ipv6 configure diff with the configure option --enable-ipv6
- call autoconf to generate the fixed confgure (never patch configure)
- set CFLAGS to RPM_OPT_FLAGS for configure
- folded up configure argument list to make it more readable
* Thu Jan 11 2001 - smueller@suse.de
- make it compile with IPv6 even if there is no IPv6 in the
  running kernel
* Thu Jan 11 2001 - smueller@suse.de
- update to zebra 0.90
- enabled snmp support
* Thu Dec 21 2000 - smueller@suse.de
- rc.config injection corrected
* Wed Dec 20 2000 - smueller@suse.de
- changed absolut path names to relative in %%post
* Tue Dec 05 2000 - bjacke@suse.de
- bzipped sources
- cleaned up spec file
- enabled IPv6 support
* Mon Dec 04 2000 - smueller@suse.de
- initial version for 7.1
